Subject: Re: bug#5553: 23.1.92; Archives with wrong coding system

From: Stefan Monnier <[email-masked]>
Date: Wed, 10 Feb 2010 15:14:42 -0500

> So the question is whether we should complement entries in
> `magic-fallback-mode-alist' with the corresponding entries in
> `auto-coding-regexp-alist' with the same regexps (like we complement
> entries in `auto-mode-alist' with entries in `auto-coding-alist')?

> Or every function in `auto-coding-functions' that determines a coding system
> should somehow take care of exceptions in `magic-fallback-mode-alist'?

I think that auto-coding-alist should allow mapping not only file-names
but also major modes to coding-systems.  This should hopefully take care
of those issues by mapping image-mode and archive-mode to no-conversion.

        Stefan